namespace Diligent.WebAPI.Business.Interfaces
{
    public interface IBaseRepository<TEntity> where TEntity : class
    {
        Task<List<TEntity>> GetAsync();
        Task<TEntity> GetByIdAsync(string id);
        Task CreateAsync(TEntity entity);
        Task UpdateAsync(string id, TEntity updateEntity);
        Task RemoveAsync(string id);
    }
}